
%define		module	scanf

Summary:	The C-scanf-like string parsing in pure Python
Summary(pl.UTF-8):	Parser ciągów znaków w składni scanf napisany w czystym Pythonie
Name:		python-%{module}
Version:	1.2
Release:	3
License:	unknown
Group:		Libraries/Python
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/python/scanf/%{module}-%{version}.tar.gz
# Source0-md5:	e4c3ff4629933d5ec854743bf77017ca
URL:		http://hkn.eecs.berkeley.edu/~dyoo/python/scanf/
BuildRequires:	python >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
scanf provides formatted input from standard input, strings, or files,
using a format-string syntax that's similar to C's scanf(). The syntax
should be familiar to C programmers, and offers very simple pattern
matching against strings and files.

%description -l pl.UTF-8
scanf jest modułem Pythona umożliwiającym wczytywanie danych ze
standardowego wejścia, ciągów znaków lub plików, używając ciągów
formatujących zgodnych ze znaną z języka C funkcją scanf().

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir}}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}.py[oc]
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-scanf.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 76e40e7
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 81c4f2a
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a770743
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d550f17
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> cd71963
- up to 1.2

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b861fdd
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0ee990e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d425883
- converted to UTF-8

* Thu Dec 23 2004 saq <saq@pld-linux.org> 2d77769
- the right way to use pyrequires_eq

* Sat Aug 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 416f2af
- typo

* Sat Aug 28 2004 Marcin Gajda <m.gajda@functional-software.com> 261d9a4
- initial PLD release

